<h2>Add Post</h2>
  <div class="card card-body mb-3">
    <form>
      <div class="form-group">
        <label>Title</label>
        <input type="text" class="form-control" [(ngModel)]="currentPost.title" name="title" #title>
      </div>
      <div class="form-group">
        <label>Body</label>
        <input type="text" class="form-control" [(ngModel)]="currentPost.body" name="body" #body>
      </div>
      <input type="hidden" [(ngModel)]="currentPost.id" name="id">
<!--      Submit Button-->
      <button *ngIf="!isEdit" (click)="addPost(title.value, body.value)" class="btn btn-danger btn-block">Submit Post</button>
<!--      Update Button-->
      <button *ngIf="isEdit" (click)="updatePost()" class="btn btn-warning btn-block">Update Post</button>

    </form>
  </div>

